# Class BandDecoration

java.lang.Object
uk.ac.starlink.ttools.plot2.Decoration
uk.ac.starlink.ttools.plot2.geom.BandDecoration

public class BandDecoration extends Decoration
Decoration subclass that also provides a target rectangle. This target indicates a graphics surface region to which zooming is intended.

Note that the target rectangle is not assessed as part of the equality conditions for this object; it is considered to be an annotation of the icon, completely determined by its existing characteristics.

Since:
  18 Mar 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`BandDecoration(Icon icon, int gx, int gy, Rectangle targetRect)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Rectangle`
`getTargetRectangle()`
Returns the target rectangle for this object.

### Methods inherited from class Decoration

`equals, getIcon, getPosX, getPosY, hashCode, paintDecoration, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BandDecoration

public BandDecoration(Icon icon, int gx, int gy, Rectangle targetRect)
Constructor.

Parameters:
  `icon` - decoration content; this icon must have equality semantics
  `gx` - x position for icon
  `gy` - y position for icon
  `targetRect` - target rectangle

## Method Details

### getTargetRectangle

public Rectangle getTargetRectangle()
Returns the target rectangle for this object.

Returns:
  target rectangle